# GeoSentinel Library
**GeoSentiel** is a set of functions to help download and manipulate sentinel products.
its is currently developed by the **Remote Perception Group** in [**CentroGeo**](geoint.mx).

# Installation
**GeoSentinel** was developed under Debian GNU/Linux, using Bash, Python and other programming languages. 

## Requirements

## Dependencies

# Modules

## APISentinel
This class makes easier the usage of [sentinel API](https://github.com/sentinelsat/sentinelsat).
The class constructor requires a username and password from [copernicus project](https://scihub.copernicus.eu/dhus/#/self-registration), more information about the function is available in the function's docstring.
### Dependencies
```bash
sudo pip install sentinelsat
sudo apt-get install libgdal-dev
```
### Download products example
```python
from geosentinel import APISentinel
sentinel = APISentinel('username',  'password')
products = sentinel.getProducts("POLYGON((-89.99450683593753 21.279137394108716,-89.13757324218751 21.2996106049456,-89.30236816406251 20.68418377935238,-90.0494384765625 20.715015145512098,-89.99450683593753 21.279137394108716))", ('20151219', date(2015,12,29)), {"platformname":"Sentinel-2"})
print len(products)
sentinel.downloadProducts(products,".")

```

## L2A Product generation (`tools/L1CProductListToL2A.sh`)
This script uses [Sen2Cor](http://step.esa.int/main/third-party-plugins-2/sen2cor/) to convert all L1C products in a directory to L2C products. The script takes as an arguments the name of the a directory with a `L1C` Subdirectory where the products are located and the number of jobs to run in parallel.


### Dependencies
```bash
sudo apt-get install parallel
wget http://step.esa.int/thirdparties/sen2cor/2.5.5/Sen2Cor-02.05.05-Linux64.run
chmod +x Sen2Cor-02.05.05-Linux64.run
./Sen2Cor-02.05.05-Linux64.run
```

### Example
```bash
L1CProductListToL2A.sh /home/geoint/NAS/sentinelImages/ 12

```

